#!/tvbin/tivosh

# Script to fix the timezone (/Setup/TimeZone), so it is the
# correct value for the UK (=7)

source $tcl_library/tv/Inc.itcl
source $tcl_library/tv/mfslib.tcl
set db [dbopen]
if { $argc == 1 } {
  set tzcode [lindex $argv 0]
} else {
  set tzcode 7
}
try {
  RetryTransaction {
    set setup [db $db open /Setup]
    set oldtzcode [dbobj $setup get TimeZone]
    if { $tzcode == "?" } {
      puts "Timzeone currently set to $oldtzcode"
    } else {
      dbobj $setup set TimeZone $tzcode
      puts "Timezone set to $tzcode; previous value was $oldtzcode"
    }
  }
} catch errCode {
  puts "Failed to set TimeZone, code=($errCode)"
  return 0
}
unset db
